Index: orxonox/branches/ll2trunktemp/src/Makefile.in
===================================================================
--- orxonox/branches/ll2trunktemp/src/Makefile.in	(revision 3991)
+++ orxonox/branches/ll2trunktemp/src/Makefile.in	(revision 3992)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.2 from Makefile.am.
+# Makefile.in generated by automake 1.8.5 from Makefile.am.
 # @configure_input@
 
@@ -50,5 +50,5 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-am__installdirs = $(DESTDIR)$(bindir)
+am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
@@ -404,5 +404,5 @@
 install-binPROGRAMS: $(bin_PROGRAMS)
 	@$(NORMAL_INSTALL)
-	$(mkdir_p) $(DESTDIR)$(bindir)
+	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
 	@list='$(bin_PROGRAMS)'; for p in $$list; do \
 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
@@ -410,6 +410,6 @@
 	  ; then \
 	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
-	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
-	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
+	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
+	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
 	  else :; fi; \
 	done
@@ -419,6 +419,6 @@
 	@list='$(bin_PROGRAMS)'; for p in $$list; do \
 	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
-	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
-	  rm -f $(DESTDIR)$(bindir)/$$f; \
+	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
 	done
 
@@ -1299,12 +1299,14 @@
 	tags=; \
 	here=`pwd`; \
-	if (etags --etags-include --version) >/dev/null 2>&1; then \
+	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
 	  include_option=--etags-include; \
+	  empty_fix=.; \
 	else \
 	  include_option=--include; \
+	  empty_fix=; \
 	fi; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
-	    test -f $$subdir/TAGS && \
+	    test ! -f $$subdir/TAGS || \
 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
 	  fi; \
@@ -1316,7 +1318,9 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	test -z "$(ETAGS_ARGS)$$tags$$unique" \
-	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	     $$tags $$unique
+	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+	  test -n "$$unique" || unique=$$empty_fix; \
+	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	    $$tags $$unique; \
+	fi
 ctags: CTAGS
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
@@ -1388,5 +1392,7 @@
 installdirs: installdirs-recursive
 installdirs-am:
-	$(mkdir_p) $(DESTDIR)$(bindir)
+	for dir in "$(DESTDIR)$(bindir)"; do \
+	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
+	done
 install: install-recursive
 install-exec: install-exec-recursive
Index: orxonox/branches/ll2trunktemp/src/story_entities/world.cc
===================================================================
--- orxonox/branches/ll2trunktemp/src/story_entities/world.cc	(revision 3991)
+++ orxonox/branches/ll2trunktemp/src/story_entities/world.cc	(revision 3992)
@@ -452,5 +452,5 @@
   this->skySphere->setName("SkySphere");
   this->localCamera->addChild(this->skySphere);
-  this->skySphere->setMode(PNODE_MOVEMENT);
+  spawn(skySphere);
   
   
@@ -461,8 +461,8 @@
   //localCamera->setParent(TrackNode::getInstance());
   tn->addChild(this->localCamera);
-  //	    localCamera->lookAt(tn);
+  localCamera->lookAt(tn);
   this->localPlayer->setMode(PNODE_ALL);
-  //Vector* cameraOffset = new Vector (0, 5, -10);
-  //trackManager->condition(2, LEFTRIGHT, this->localPlayer);
+  Vector* cameraOffset = new Vector (0, 5, -10);
+  trackManager->condition(2, LEFTRIGHT, this->localPlayer);
   
   // initialize debug coord system
@@ -836,9 +836,8 @@
 	}
       delete iterator;
-      //skySphere->updatePosition(localCamera->absCoordinate);
-      
+
       /* update tick the rest */
-      //      this->trackManager->tick(this->dt);
-      //      this->localCamera->tick(this->dt);
+      this->trackManager->tick(this->dt);
+      this->localCamera->tick(this->dt);
       this->garbageCollector->tick(seconds);
 