Index: /orxonox/branches/ll2trunktemp/src/world_entities/player.cc
===================================================================
--- /orxonox/branches/ll2trunktemp/src/world_entities/player.cc	(revision 4001)
+++ /orxonox/branches/ll2trunktemp/src/world_entities/player.cc	(revision 4002)
@@ -82,39 +82,40 @@
    \todo add more parameters to load
 */
-Player::Player(TiXmlElement* root)
-{
-	char* temp;
-	const char* string;
-	string = grabParameter( root, "name");
-	if( string == NULL)
-	{
-		PRINTF0("Player is missing a proper 'name'\n");
-		string = "Unknown";
-		temp = new char[strlen(string + 2)];
-		strcpy( temp, string);
-		this->setName( temp);
-	}
-	else
-	{
-		temp = new char[strlen(string + 2)];
-		strcpy( temp, string);
-		this->setName( temp);
-	}
-	
-	this->model = NULL;
-	string = grabParameter( root, "model");
-	if( string != NULL)
-  	this->model = (Model*)ResourceManager::getInstance()->load(string, OBJ, RP_CAMPAIGN);
-	else
-	{
-		PRINTF0("Player is missing a proper 'model'\n");
-  	this->model = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
-	}
-	if( this->model == NULL)
-	{
-		PRINTF0("Player model '%s' could not be loaded\n", string);
-	}
-	
-	this->weapons = new tList<Weapon>();
+Player::Player(TiXmlElement* root) : WorldEntity(root)
+{
+  /*
+    char* temp;
+    const char* string;
+    string = grabParameter( root, "name");
+    if( string == NULL)
+    {
+    PRINTF0("Player is missing a proper 'name'\n");
+    string = "Unknown";
+    temp = new char[strlen(string + 2)];
+    strcpy( temp, string);
+    this->setName( temp);
+    }
+    else
+    {
+    temp = new char[strlen(string + 2)];
+    strcpy( temp, string);
+    this->setName( temp);
+    }
+    
+    this->model = NULL;
+    string = grabParameter( root, "model");
+    if( string != NULL)
+    this->model = (Model*)ResourceManager::getInstance()->load(string, OBJ, RP_CAMPAIGN);
+    else
+    {
+    PRINTF0("Player is missing a proper 'model'\n");
+    this->model = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
+    }
+    if( this->model == NULL)
+    {
+    PRINTF0("Player model '%s' could not be loaded\n", string);
+    }
+  */
+  this->weapons = new tList<Weapon>();
   this->activeWeapon = NULL;
   /*
Index: /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.cc	(revision 4001)
+++ /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.cc	(revision 4002)
@@ -38,5 +38,5 @@
    class. So if you want to create a new entity at any time, call World::spawn(). It will handle everything that is necessary.
 */
-WorldEntity::WorldEntity (bool isFree) : bFree(isFree)
+WorldEntity::WorldEntity ()
 {
   this->setClassName ("WorldEntity");
@@ -46,4 +46,42 @@
 }
 
+WorldEntity::WorldEntity(TiXmlElement* root)
+{
+  // Name Setup
+  char* temp;
+  const char* string;
+  string = grabParameter( root, "name");
+  if( string == NULL)
+    {
+      PRINTF(0)("WorldEntity is missing a proper 'name'\n");
+      string = "Unknown";
+      temp = new char[strlen(string + 2)];
+      strcpy( temp, string);
+      this->setName( temp);
+    }
+  else
+    {
+      temp = new char[strlen(string + 2)];
+      strcpy( temp, string);
+      this->setName( temp);
+    }
+  // Model Loading	
+  this->model = NULL;
+  string = grabParameter( root, "model");
+  if( string != NULL)
+    this->model = (Model*)ResourceManager::getInstance()->load(string, OBJ, RP_CAMPAIGN);
+  else
+    {
+      PRINTF(0)("WorldEntity is missing a proper 'model'\n");
+      this->model = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
+    }
+  if( this->model == NULL)
+    {
+      PRINTF(0)("WorldEntity model '%s' could not be loaded\n", string);
+    }
+
+  this->bDraw = true;
+}
+
 /**
    \brief standard destructor
@@ -73,13 +111,4 @@
 {}
 
-
-/**
-   \brief query whether the WorldEntity in question is free
-   \return true if the WorldEntity is free or false if it isn't
-*/
-bool WorldEntity::isFree ()
-{
-  return bFree;
-}
 
 /**
Index: /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.h
===================================================================
--- /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.h	(revision 4001)
+++ /orxonox/branches/ll2trunktemp/src/world_entities/world_entity.h	(revision 4002)
@@ -23,5 +23,6 @@
 
  public:
-  WorldEntity (bool isFree = false);
+  WorldEntity (void);
+  WorldEntity(TiXmlElement* root);
   virtual ~WorldEntity ();
 
@@ -32,5 +33,4 @@
   //void removeAbility(Ability* ability);
   void setDrawable (bool bDraw);  
-  bool isFree ();
   void setCharacterAttributes(CharacterAttributes* charAttr);
   CharacterAttributes* getCharacterAttributes();
@@ -52,5 +52,4 @@
   
  private:
-  const bool bFree;	              //!< If the entity is free.
   bool bCollide;                      //!< If it should be considered for the collisiontest.
   bool bDraw;                         //!< If it should be visible.