Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4005)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4006)
@@ -7380,5 +7380,5 @@
 ( 577 384 163 ) ( 577 395 153 ) ( 577 395 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( 579 396 129 ) ( 556 385 129 ) ( 579 385 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 563 352 129 ) ( 586 352 139 ) ( 586 352 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 564 350 129 ) ( 587 350 139 ) ( 587 350 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
 ( 578 366 139 ) ( 578 377 129 ) ( 578 366 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -8763,10 +8763,10 @@
 // brush 934
 {
-( 579 363 153 ) ( 556 352 153 ) ( 556 363 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 352 130 ) ( 579 352 140 ) ( 556 352 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 576 350 163 ) ( 576 361 153 ) ( 576 361 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 579 362 129 ) ( 556 351 129 ) ( 579 351 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 561 350 129 ) ( 584 350 139 ) ( 584 350 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 351 139 ) ( 578 362 129 ) ( 578 351 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 579 361 153 ) ( 556 350 153 ) ( 556 361 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 350 130 ) ( 579 350 140 ) ( 556 350 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 348 163 ) ( 576 359 153 ) ( 576 359 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 579 360 129 ) ( 556 349 129 ) ( 579 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 561 348 129 ) ( 584 348 139 ) ( 584 348 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 578 349 139 ) ( 578 360 129 ) ( 578 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 935
@@ -8776,5 +8776,5 @@
 ( 576 678 164 ) ( 576 689 154 ) ( 576 689 164 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 585 169 153 ) ( 562 158 153 ) ( 585 158 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 555 350 130 ) ( 578 350 140 ) ( 578 350 130 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 348 130 ) ( 578 348 140 ) ( 578 348 130 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 578 113 163 ) ( 578 124 153 ) ( 578 113 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
@@ -8905,4 +8905,76 @@
 ( 536 -56 5 ) ( 536 160 5 ) ( 536 -56 13 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 }
+// brush 950
+{
+( 538 361 153 ) ( 515 350 153 ) ( 515 361 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 515 350 130 ) ( 538 350 140 ) ( 515 350 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 348 163 ) ( 535 359 153 ) ( 535 359 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 360 129 ) ( 515 349 129 ) ( 538 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 520 348 129 ) ( 543 348 139 ) ( 543 348 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 537 349 139 ) ( 537 360 129 ) ( 537 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 951
+{
+( 538 330 153 ) ( 515 319 153 ) ( 515 330 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 515 319 130 ) ( 538 319 140 ) ( 515 319 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 317 163 ) ( 535 328 153 ) ( 535 328 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 329 129 ) ( 515 318 129 ) ( 538 318 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 520 317 129 ) ( 543 317 139 ) ( 543 317 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 537 318 139 ) ( 537 329 129 ) ( 537 318 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 952
+{
+( 538 227 33 ) ( 515 216 33 ) ( 515 227 33 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 515 216 10 ) ( 538 216 20 ) ( 515 216 20 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 214 43 ) ( 535 225 33 ) ( 535 225 43 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 226 9 ) ( 515 215 9 ) ( 538 215 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 520 214 9 ) ( 543 214 19 ) ( 543 214 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 537 215 19 ) ( 537 226 9 ) ( 537 215 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 953
+{
+( 538 361 155 ) ( 515 350 155 ) ( 515 361 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 515 350 132 ) ( 538 350 142 ) ( 515 350 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 348 165 ) ( 535 359 155 ) ( 535 359 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 360 153 ) ( 515 349 153 ) ( 538 349 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 520 348 131 ) ( 543 348 141 ) ( 543 348 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 349 141 ) ( 576 360 131 ) ( 576 349 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 954
+{
+( 538 359 155 ) ( 515 348 155 ) ( 515 359 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 515 348 132 ) ( 538 348 142 ) ( 515 348 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 346 165 ) ( 535 357 155 ) ( 535 357 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 358 153 ) ( 515 347 153 ) ( 538 347 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 508 317 131 ) ( 531 317 141 ) ( 531 317 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 537 339 141 ) ( 537 350 131 ) ( 537 339 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 955
+{
+( 537 337 153 ) ( 514 326 153 ) ( 514 337 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 513 348 130 ) ( 536 348 140 ) ( 513 348 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 324 163 ) ( 535 335 153 ) ( 535 335 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 537 336 129 ) ( 514 325 129 ) ( 537 325 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 522 319 129 ) ( 545 319 139 ) ( 545 319 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 536 335 139 ) ( 536 346 129 ) ( 536 335 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+}
+// brush 956
+{
+( 565 348 153 ) ( 554 371 153 ) ( 565 371 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 372 130 ) ( 576 349 140 ) ( 576 372 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 552 350 163 ) ( 563 350 153 ) ( 563 350 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 564 348 129 ) ( 553 371 129 ) ( 553 348 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 537 363 129 ) ( 537 340 139 ) ( 537 340 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 563 349 139 ) ( 574 349 129 ) ( 563 349 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+}
+// brush 957
+{
+( 513 317 130 ) ( 536 317 140 ) ( 513 317 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 535 293 163 ) ( 535 304 153 ) ( 535 304 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 522 216 131 ) ( 545 216 141 ) ( 545 216 131 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 536 304 139 ) ( 536 315 129 ) ( 536 304 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 64 317 153 ) ( -64 216 33 ) ( -64 317 153 ) evil4_d_techwalls/d_drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( -64 317 128 ) ( -64 216 9 ) ( 64 317 128 ) evil4_d_techwalls/d_drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1