Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4010)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4011)
@@ -8158,5 +8158,5 @@
 ( 479 56 121 ) ( 559 56 121 ) ( 479 272 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 443 318 121 ) ( 443 318 129 ) ( 523 318 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( 535 51 121 ) ( 535 267 121 ) ( 535 51 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 553 50 121 ) ( 553 266 121 ) ( 553 50 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 }
 // brush 870
@@ -8306,10 +8306,10 @@
 // brush 886
 {
-( 538 361 153 ) ( 515 350 153 ) ( 515 361 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 515 350 130 ) ( 538 350 140 ) ( 515 350 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 535 348 163 ) ( 535 359 153 ) ( 535 359 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 538 360 129 ) ( 515 349 129 ) ( 538 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 520 348 129 ) ( 543 348 139 ) ( 543 348 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 537 349 139 ) ( 537 360 129 ) ( 537 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 361 153 ) ( 533 350 153 ) ( 533 361 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 533 350 130 ) ( 556 350 140 ) ( 533 350 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 348 163 ) ( 553 359 153 ) ( 553 359 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 360 129 ) ( 533 349 129 ) ( 556 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 348 129 ) ( 561 348 139 ) ( 561 348 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 349 139 ) ( 555 360 129 ) ( 555 349 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 887
@@ -8335,26 +8335,26 @@
 ( 538 361 155 ) ( 515 350 155 ) ( 515 361 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 515 350 132 ) ( 538 350 142 ) ( 515 350 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 535 348 165 ) ( 535 359 155 ) ( 535 359 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 347 165 ) ( 553 358 155 ) ( 553 358 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 538 360 153 ) ( 515 349 153 ) ( 538 349 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 520 348 131 ) ( 543 348 141 ) ( 543 348 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 519 348 131 ) ( 542 348 141 ) ( 542 348 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 576 349 141 ) ( 576 360 131 ) ( 576 349 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 890
 {
-( 538 359 155 ) ( 515 348 155 ) ( 515 359 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 515 348 132 ) ( 538 348 142 ) ( 515 348 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 535 346 165 ) ( 535 357 155 ) ( 535 357 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 538 358 153 ) ( 515 347 153 ) ( 538 347 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 508 317 131 ) ( 531 317 141 ) ( 531 317 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 537 339 141 ) ( 537 350 131 ) ( 537 339 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 359 155 ) ( 533 348 155 ) ( 533 359 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 533 348 132 ) ( 556 348 142 ) ( 533 348 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 346 165 ) ( 553 357 155 ) ( 553 357 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 358 153 ) ( 533 347 153 ) ( 556 347 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 526 319 131 ) ( 549 319 141 ) ( 549 319 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 339 141 ) ( 555 350 131 ) ( 555 339 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 891
 {
-( 537 337 153 ) ( 514 326 153 ) ( 514 337 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 513 348 130 ) ( 536 348 140 ) ( 513 348 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 535 324 163 ) ( 535 335 153 ) ( 535 335 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
-( 537 336 129 ) ( 514 325 129 ) ( 537 325 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 522 319 129 ) ( 545 319 139 ) ( 545 319 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 536 335 139 ) ( 536 346 129 ) ( 536 335 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 555 337 153 ) ( 532 326 153 ) ( 532 337 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 531 348 130 ) ( 554 348 140 ) ( 531 348 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 324 163 ) ( 553 335 153 ) ( 553 335 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 555 336 129 ) ( 532 325 129 ) ( 555 325 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 540 319 129 ) ( 563 319 139 ) ( 563 319 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 554 335 139 ) ( 554 346 129 ) ( 554 335 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
 // brush 892
@@ -8364,5 +8364,5 @@
 ( 552 350 163 ) ( 563 350 153 ) ( 563 350 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( 564 348 129 ) ( 553 371 129 ) ( 553 348 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 537 363 129 ) ( 537 340 139 ) ( 537 340 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 363 129 ) ( 555 340 139 ) ( 555 340 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
 ( 563 349 139 ) ( 574 349 129 ) ( 563 349 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -8511,4 +8511,31 @@
 ( 615 311 141 ) ( 615 322 131 ) ( 615 311 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
+// brush 909
+{
+( 556 330 153 ) ( 533 319 153 ) ( 533 330 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 533 319 130 ) ( 556 319 140 ) ( 533 319 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 317 163 ) ( 553 328 153 ) ( 553 328 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 329 129 ) ( 533 318 129 ) ( 556 318 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 317 129 ) ( 561 317 139 ) ( 561 317 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 318 139 ) ( 555 329 129 ) ( 555 318 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 910
+{
+( 530 330 155 ) ( 507 319 155 ) ( 507 330 155 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 507 319 132 ) ( 530 319 142 ) ( 507 319 142 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 316 165 ) ( 553 327 155 ) ( 553 327 165 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 530 329 153 ) ( 507 318 153 ) ( 530 318 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 511 317 131 ) ( 534 317 141 ) ( 534 317 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 568 318 141 ) ( 568 329 131 ) ( 568 318 131 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 911
+{
+( 555 317 153 ) ( 544 340 153 ) ( 555 340 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 566 341 130 ) ( 566 318 140 ) ( 566 341 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 542 319 163 ) ( 553 319 153 ) ( 553 319 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 554 317 129 ) ( 543 340 129 ) ( 543 317 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 555 332 129 ) ( 555 309 139 ) ( 555 309 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 551 318 139 ) ( 562 318 129 ) ( 551 318 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+}
 }
 // entity 1